## i3status-rs 0.22.2-1-1regolith

=== debian/changelog ===
i3status-rs (0.22.2-1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:09:06 +0000

i3status-rs (0.22.2-1) focal; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: use full repository name only for building packages
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 14:14:53 +0000

i3status-rs (0.22.1-1) focal; urgency=medium

  * fix: disable battery to avoid global error on bar on targets without batteries on jammy
  * fix: really disable the battery

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 04 May 2024 08:35:05 -0700

i3status-rs (0.22.0-1) jammy; urgency=medium

  [ Soumya Ranjan patnaik ]
  * feat: add default config
  * match package version i3status-rs version

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 31 May 2023 21:57:58 -0700

i3status-rs (0.1) jammy; urgency=medium

  * Initial release. 

 -- Soumya Ranjan patnaik <soumyaranjan1812@gmail.com>  Fri, 18 Nov 2022 21:46:01 +0530
