## i3status-rs 0.32.1-1-1regolith

=== debian/changelog ===
i3status-rs (0.32.1-1-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 01 Jul 2025 16:51:53 +0000

i3status-rs (0.32.1-1) mantic; urgency=medium

  [ Khosrow Moossavi ]
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 14:15:48 +0000

i3status-rs (0.32.1) mantic; urgency=medium

  [ MaxVerevkin ]
  * battery(sysfs): prefer `charge_now/charge_full` over `capacity`

  [ Bryan Malyn ]
  * Allow custom separator for rotating text
  * Use graphemes instead of chars for StrFormatter

  [ MaxVerevkin ]
  * update NEWS.md
  * v0.31.6
  * battery(sysfs): set power to none if it is zero

  [ s0 ]
  * keyboard_layout block: Add support for keyboard layout variant to xkbmap driver (#1904)

  [ MaxVerevkin ]
  * cargo update
  * restart failed blocks after error_interval
  * do 3 retries before displaying an error when doing web requests
  * remove redundant line from cspell.yaml
  * do not abort failed blocks
  * keyboard_layout: split drivers into separate files
  * maildir: support glob expansions
  * depend on `glob` only if `maildir` is enabled
  * update NEWS.md
  * v0.30.7
  * Temporarily switch to a fork of zbus
  * update README

  [ dependabot[bot] ]
  * build(deps): bump openssl from 0.10.54 to 0.10.55
  * use is_some_and(..) instead of map_or(false, ..)
  * switch to upstream git zbus
  * update deps (fixes build on latest nightly)
  * update inotify code not to use deprecated fns
  * update NEWS.md
  * v0.31.8
  * music: add a few debug!s
  * music: improve debug prints
  * music: add even more debug prints
  * run cargo fmt on nightly
  * run cargo clippy --fix
  * music: temporarily dont use join! in Player::new()

  [ Keenan Gugeler ]
  * Make sysfs debug formatting consistent

  [ MaxVerevkin ]
  * avoid two unsafe {} blocks

  [ Bryan Malyn ]
  * Add script to verify that the default icons in `src/icons.rs` match `files/icons/*.toml`
  * Remove unused default icons
  * Add default net_cellular icons
  * Update NEWS.md

  [ Simon Thurston ]
  * Add catppuccin themes

  [ Bryan Malyn ]
  * Add new theme photos, make md links relative
  * Update NEWS.md
  * Defer icon lookup until formatting
  * Update NEWS.md
  * v0.31.9

  [ MaxVerevkin ]
  * cargo update
  * fix new clippy::format_collect

  [ Bryan Malyn ]
  * Update default memory format (#1932)
  * Fix `.eng` formatter: inconsistent rounding (#1934)

  [ Max Verevkin ]
  * amd_gpu: select device automatically (#1935)

  [ MaxVerevkin ]
  * update NEWS.md

  [ Max Verevkin ]
  * pacman: create a checkup-db dir per user (#1938)

  [ MaxVerevkin ]
  * update NEWS.md
  * update dependencies
  * v0.32
  * update README

  [ Max Verevkin ]
  * weather(metno): weathericon API was terminated, use pre-fetched data (#1940)

  [ MaxVerevkin ]
  * v0.32.1

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 29 Jan 2025 14:22:49 -0500

i3status-rs (0.31.5) lunar; urgency=medium

  [ Jason Nader ]
  * Bump ver for async release

  [ Max Verevkin ]
  * copy files
  * CI: change link

  [ Ole Martin Ruud ]
  * Add srcery color theme

  [ Max Verevkin ]
  * subprocess: detach child; hueshift: add wl-gammarelay support
  * hueshift: add wl_gammarelay_rs
  * update README
  * hueshift: merge wl-gammarelay with wl-gammarelay-rs
  * time: update timezone repeatedly
  * watson: watch MOVED_TO events
  * watson: do not override show_time
  * use neli-wifi instead of nl80211 fork
  * remove unnecesary Rc<RefCell>
  * zbus 2.1
  * fmt
  * make notmuch optional
  * docs: generate docs for all features
  * docs: mention that notmuch is optional
  * use neli-wifi 0.3 with async
  * NetDevice::read_stats: read files concurrently
  * use dirs_next crate
  * some refactoring
  * neli: use async
  * fix rofication docs

  [ Tris Emmy Wilson ]
  * Implement "persistent" command feature from i3blocks

  [ Max Verevkin ]
  * avoid Box::leak()
  * cleanup
  * make maild dir optional
  * update deps
  * music: implement clickable format plaseholders
  * remove obsolete button API
  * remove blocks.md
  * use new format!() macro syntax
  * Remove unnecessary Arc::make_mut()
  * fix error handling
  * maildir&notmuch: improve 'unknown block' message
  * format Cargo.toml
  * remove de module
  * some refactoring
  * initial nvidia_gpu port
  * formatting: allow for per-placeholder state
  * nvidia_gpu: implement highlighting
  * nvidia_gpu: docs
  * formatting: change default rot-str interval to 0.5
  * music: full port
  * music: fix defaults
  * networkmanager: port a little more
  * music: check if title/artist is empty
  * icons: awesome5: update cpu icon
  * append padding space to an already existing block
  * music: do not trim button icons

  [ Ole Martin Ruud ]
  * Add image to doc/themes.md

  [ Max Verevkin ]
  * theme.overrides: set separator to "native" to use native separators
  * resturcture BlockType::run()
  * fix clippy lint
  * docs: document bar formatter
  * focused_window: add river support
  * focused_window: update docs
  * battery: port recent changes
  * battery: add device_regex option
  * battery: remove allow_missing
  * add fn default() as a shortcut for Default::default()
  * battery: always enable device_regex; fix race condition with sysfs driver
  * split battery.rs
  * fix some clippy lints
  * signals: there is no need for a fused stream
  * use env::args_os() becasue it will be converted to CString anyway
  * update dependencies
  * remove explicit serde_derive dependency
  * implement generic signal support for all blocks
  * add some code comments
  * update all blocks on SIGURS1
  * rework widget updates scheduling (rotating text)
  * add clippy.toml
  * use smart-default instead of derivative
  * fix some clippy lints
  * memory: small changes
  * abort blocks on errors
  * small changes
  * remove smartstring
  * update dependencies
  * Internal: simplify block API
  * small changes

