## i3status-rs 0.32.1-2-1regolith

=== debian/changelog ===
i3status-rs (0.32.1-2-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 22 Jan 2026 21:49:22 +0000

i3status-rs (0.32.1-2) mantic; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 18 Oct 2025 18:29:19 +0000
